Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:29 2009

## Asterisk developer's documentation

# ast_context Struct Reference

ast_context: An extension context More...

Collaboration diagram for ast_context:

[legend]

## Data Fields

struct ast_sw * | alts
struct ast_ignorepat * | ignorepats
struct ast_include * | includes
ast_mutex_t | lock
char | name [0]
struct ast_context * | next
const char * | registrar
struct ast_exten * | root

## Detailed Description

ast_context: An extension context

Definition at line 156 of file pbx.c.

## Field Documentation

struct ast_sw* alts`[read]`

Alternative switches

Definition at line 163 of file pbx.c.

Referenced by __ast_context_destroy(), ast_context_add_switch2(), ast_context_remove_switch2(), ast_walk_context_switches(), and pbx_find_extension().

struct ast_ignorepat* ignorepats`[read]`

Patterns for which to continue playing dialtone

Definition at line 161 of file pbx.c.

Referenced by __ast_context_destroy(), ast_context_add_ignorepat2(), ast_context_create(), ast_context_remove_ignorepat2(), ast_ignore_pattern(), and ast_walk_context_ignorepats().

struct ast_include* includes`[read]`

Include other contexts

Definition at line 160 of file pbx.c.

Referenced by __ast_context_destroy(), ast_context_add_include2(), ast_context_create(), ast_context_remove_include2(), ast_walk_context_includes(), and pbx_find_extension().

ast_mutex_t lock

A lock to prevent multiple threads from clobbering the context

Definition at line 157 of file pbx.c.

Referenced by __ast_context_destroy(), ast_add_extension2(), ast_context_add_ignorepat2(), ast_context_add_include2(), ast_context_add_switch2(), ast_context_create(), ast_context_remove_extension2(), ast_context_remove_ignorepat2(), ast_context_remove_include2(), ast_context_remove_switch2(), ast_lock_context(), and ast_unlock_context().

char name[0]

Name of the context

Definition at line 164 of file pbx.c.

Referenced by __ast_context_destroy(), ast_add_extension2(), ast_context_create(), ast_context_find(), ast_get_context_name(), ast_hint_state_changed(), ast_merge_contexts_and_delete(), ast_remove_hint(), and pbx_find_extension().

struct ast_context* next`[read]`

Link them together

Definition at line 159 of file pbx.c.

Referenced by __ast_context_destroy(), ast_context_create(), ast_context_find(), ast_merge_contexts_and_delete(), ast_walk_contexts(), and pbx_find_extension().

const char* registrar

Registrar

Definition at line 162 of file pbx.c.

Referenced by __ast_context_destroy(), ast_context_create(), ast_get_context_registrar(), and ast_merge_contexts_and_delete().

struct ast_exten* root`[read]`

The root of the list of extensions

Definition at line 158 of file pbx.c.

Referenced by __ast_context_destroy(), ast_add_extension2(), ast_context_create(), ast_context_remove_extension2(), ast_walk_context_extensions(), and pbx_find_extension().

The documentation for this struct was generated from the following file:

- pbx.c